<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>bwborder</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">&lt;&lt; Morphological Operations</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imblackhat.html">imblackhat &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a> &gt; bwborder</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">bwborder</h1>
    <p class="refpurpose">Find border for an image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">outm</span><span class="default"> = </span><span class="functionid">bwborder</span><span class="default">(</span><span class="default">inm</span><span class="default">, </span><span class="default">conn</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">inm :</span>
      <dd><p class="para">Source Image (must be in binary)</p></dd></dt>
   <dt><span class="term">conn :</span>
      <dd><p class="para">4 or 8 neighbourhood</p></dd></dt>
   <dt><span class="term">outm :</span>
      <dd><p class="para">Output image (in double)</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Extracts contours from binary images, by detecting which pixel valued 1 has
at least one neighbor valued 0. conn is 4 or 8 dependig if the detection is to
be made in 4 or 8-neighborhood. The final border is 8-connected if
4-neighbors are used, and 4-connected if 8-neighbors are used.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">inm</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/big_sq.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">outm</span> <span class="scilaboperator">=</span> <span class="scilabid">bwborder</span><span class="scilabopenclose">(</span><span class="scilabid">im2bw</span><span class="scilabopenclose">(</span><span class="scilabid">inm</span><span class="scilabdefault">,</span><span class="scilabnumber">0.5</span><span class="scilabopenclose">)</span><span class="scilabdefault">,</span> <span class="scilabnumber">4</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">outm</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="edge.html" class="link">edge</a></li>
   <li class="member"><a href="im2bw.html" class="link">im2bw</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh. Modified from the original work of Ricardo Fabbri</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">&lt;&lt; Morphological Operations</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imblackhat.html">imblackhat &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
